define({"567":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",l:-1,t:"LuaJsonValue Methods",i:0.00121716307497765,a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Method Description array Gets a LuaJsonArray that represents the JSON array, if the value is an array. copy ..."},"568":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:0.000313959700031013,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"569":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:0.000313959700031013,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"570":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000313959700031013,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"571":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00209304496145361,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"572":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00209304496145361,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"573":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000313959700031013,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"574":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000313959700031013,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"575":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000313959700031013,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"576":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000313959700031013,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"577":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000313959700031013,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"578":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000313959700031013,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"579":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000313959700031013,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"580":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000313959700031013,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"581":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000313959700031013,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"582":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00209304496145361,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"583":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00209304496145361,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"584":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000313959700031013,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"585":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000313959700031013,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"586":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000313959700031013,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"587":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00190560523784754,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"588":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.00106939036840058,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"589":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000344033777872828,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"590":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000405722050794507,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the IDOL Community Component configuration file. Instead use the same log service as IDOL Community Component, by calling  get_log_service , or ..."},"591":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000405722050794507,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"592":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.000259507644351902,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"593":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000303623957949672,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"594":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000303623957949672,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"595":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000303623957949672,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"596":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000303623957949672,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"597":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000303623957949672,a:"str The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"598":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000259507644351902,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"599":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000303623957949672,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"600":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000303623957949672,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"601":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000303623957949672,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"602":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000303623957949672,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"603":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000303623957949672,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"604":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000259507644351902,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"605":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000369798428346327,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"606":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000369798428346327,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"607":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000259507644351902,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"608":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000281565801150787,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"609":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000281565801150787,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"610":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000281565801150787,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"611":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000281565801150787,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"612":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000281565801150787,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"613":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000281565801150787,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"614":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000281565801150787,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"615":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000281565801150787,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"616":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000281565801150787,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"617":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000281565801150787,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"618":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000259507644351902,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"619":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000314653036349114,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"620":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000314653036349114,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"621":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000314653036349114,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"622":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000314653036349114,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"623":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OS3PLicenses.htm",l:-1,t:"Open Source and Third-Party Software License Agreements (Online Help)",i:0.000259507644351902,a:"Micro Focus acknowledges the redistribution  of open source and third-party components as part of the Help content that use the following licenses. Apache License 2.0 PIE.htc, PIE_uncompressed.htc, PIE-no-motw.htc For the text of the Apache License 2.0, see  Appendix: Apache License 2.0 (Full Text) ..."},"624":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_Apache_v2.0_fullText.htm",l:-1,t:"Appendix: Apache License 2.0 (Full Text)",i:0.000333034833681518,a:"Apache License Version 2.0, January 2004\n             http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. \"License\" shall mean the terms and conditions for use, reproduction, and\n\t\tdistribution as defined by Sections 1 through 9 of this ..."},"625":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_BSD_3-Clause_fullText.htm",l:-1,t:"Appendix: BSD 3-Clause License (Full Text)",i:0.000333034833681518,a:"Copyright (c) \u003cYEAR\u003e, \u003cOWNER\u003e All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the ..."},"626":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_MITLicense_fullText.htm",l:-1,t:"Appendix: The MIT License (Full Text)",i:0.000333034833681518,a:"\nThe MIT License (MIT) \nCopyright (c) \u003cyear\u003e \u003ccopyright holders\u003e Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto ..."},"627":{y:0,u:"../Content/Actions/User/ActionParameters/Security.htm",l:-1,t:"Security",i:0.00300238357539004,a:"Allows you to create or edit a security field for the user in which to store the user security details for a repository. If the field you specify does not currently exist, it is created for the user. Use the following format to create a security field: Security SecurityTypeSecurityField= Value ..."},"628":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UID_Index.htm",l:-1,t:"UID ",i:0.000980348850506818,a:"UID  The ID of the user to index agents and profiles for."},"629":{y:0,u:"../Content/Actions/Profile/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.0016095936154401,a:"Mode The type of content that you have specified in the  Document  parameter. Use one of the following options: Reference. One or more document references. ID. One or more document IDs. Text. A text string."},"630":{y:0,u:"../Content/Actions/Profile/ActionParameters/MaxScore.htm",l:-1,t:"MaxScore",i:0.00104019501076068,a:"MaxScore The maximum score value that a profile must have to return results."},"631":{y:0,u:"../Content/Actions/User/ActionParameters/SecurityConfig.htm",l:-1,t:"SecurityConfig",i:0.00075160786541577,a:"The security information configuration that you want to encrypt as a security info string. The security configuration contains the expiration time for the security info string. For security, Micro Focus recommends that you do not create securityinfo strings with very long lifetimes. See  ..."},"632":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00131880440811658,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"633":{y:0,u:"../Content/Actions/Agent/ActionParameters/Training.htm",l:-1,t:"Training",i:0.00172241961293178,a:"Training Text that is typical of content that the agent must return. In the  AgentEdit  action, by default the specified text overwrites any existing training text. Set  AppendTrainingText  to  True to append the new text to the existing training."},"634":{y:0,u:"../Content/Actions/User/ActionParameters/GroupDN.htm",l:-1,t:"GroupDN",i:0.00211739202684556,a:"The group object that the user must belong to. If the repository uses LDAP security, GroupDN allows you to specify a group object that the user must belong to for successful authentication. Set GroupDN to the distinguished name (DN) for the group that the user must belong to. You can use  ..."},"635":{y:0,u:"../Content/Actions/Agent/ActionParameters/DocRefs.htm",l:-1,t:"DocRefs",i:0.00068783745545796,a:"DocRefs A comma-separated list of document references to mark as read or unread for an agent."},"636":{y:0,u:"../Content/Actions/Community/ActionParameters/DeferLogin.htm",l:-1,t:"DeferLogin",i:0.000870538545922774,a:"Set DeferLogin to  True to use another system to manage authentication. This option allows you to integrate the users that this system provides (refer to the IDOL Server Administration Guide) rather than having to set up your own. By default, users expire after six months if they are not used (you ..."},"637":{y:0,u:"../Content/Actions/Community/ActionParameters/DREQueryParameter.htm",l:-1,t:"DREQueryParameter",i:0.00090205019849261,a:"Allows you to add any Query action parameters to the community query. Specify the action parameters to add to the community query in the following format: DRE QueryParameter= ParameterValue where, Actions: Community Type: String Default:   Example: DRESort=relevance\u0026DREPrint=All In this example, the ..."},"638":{y:0,u:"../Content/Actions/User/ActionParameters/Function.htm",l:-1,t:"Function",i:0.00153687152053596,a:"The name of the function that the authentication library performs. Use this parameter if you call a DLL to perform authentication. The standard security libraries use the function AUTHENTICATE to perform authentication. You can also use GETATTRIBUTES for the LDAP security library to import user ..."},"639":{y:0,u:"../Content/Actions/Community/ActionParameters/AgentName.htm",l:-1,t:"AgentName",i:0.000870538545922774,a:"AgentName The name of the agent for which you want to return community agents and profiles."},"640":{y:0,u:"../Content/Actions/Agent/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.0016186064222261,a:"The type of value that you have specified  for  PositiveDocs  or  NegativeDocs . You can use one of the following values: Reference. One or more document references. ID. One or more DocIDs. Token. A state token. If you use a Distributed Action Handler to distribute this action, you cannot use any ..."},"641":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00138323243213134,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"642":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleGetParentRoleList.htm",l:-1,t:"Recurse",i:0.000723555849318515,a:"This parameter description applies only to the  RoleGetParentRoleList  action. Set Recurse to  True to list the parent roles of the role that you specify, and also any parent roles of these parent roles (and so on).  Set Recurse to  false to list only the parent roles of the role that you specify."},"643":{y:0,u:"../Content/Actions/Agent/ActionParameters/AppendTrainingText.htm",l:-1,t:"AppendTrainingText",i:0.000944649910499085,a:"AppendTrainingText Set this parameter to  True to append the specified  Training  to the agent training text. Set it to   False to overwrite any existing training text with the specified  Training .  Training documents are not overwritten."},"644":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleIsRoleInRole.htm",l:-1,t:"Recurse",i:0.000705274882027331,a:"Recurse This parameter description applies only to the  RoleIsRoleInRole  action. Set Recurse to  True to check for the specified  RoleName  child role in the specified parent role, and also any of its parent roles.  Set Recurse to  False to check only the specified parent role for the child role."},"645":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/ImportFileName.htm",l:-1,t:"ImportFileName",i:0.00107064327237963,a:"ImportFileName The name of the XML file from which to import users, agents, and profiles into IDOL Community Component. If the XML file is not stored in the same directory as IDOL Community Component, you must specify the full path to the file."},"646":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleUserGetRoleList.htm",l:-1,t:"Recurse",i:0.00060844988215263,a:"This parameter description applies only to the  RoleUserGetRoleList  action. Set Recurse to  True to list the roles to which the user explicitly belongs, and to list any parent roles that the user implicitly belongs to. Set Recurse to  False to list only the roles to which the specified user ..."},"647":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/DeleteExisting.htm",l:-1,t:"DeleteExisting",i:0.000980348850506818,a:"DeleteExisting Set DeleteExisting to  True to remove any existing agents and profiles from IDOL Community Component before indexing."},"648":{y:0,u:"../Content/Actions/User/ActionParameters/Password.htm",l:-1,t:"Password",i:0.00233531876554928,a:"Password The user password for the repository. Use this parameter if you call a library to perform authentication."},"649":{y:0,u:"../Content/Actions/Status/Parameters/_ACI_Format.htm",l:-1,t:"Format",i:0.00225110324221048,a:"Format The format in which to return  GetStatus  information. Set Format to HTML to return the  GetStatus  response in HTML format.  This parameter has an effect only when you send the  GetStatus  action directly to the Content component. "},"650":{y:0,u:"../Content/Actions/Custom/ActionParameters/From.htm",l:-1,t:"From",i:0.000655650746808528,a:"The e-mail address to display as the sender of the e-mail, when you run a  Custom  action that uses the ./res/modules/user_email library to send e-mails to users. If you do not type an e-mail address, IDOL Community Component uses the e-mail address that you set as the value of the  From  parameter ..."},"651":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UserName_Index.htm",l:-1,t:"UserName",i:0.000980348850506818,a:"UserName The name of the user to index agents and profiles for."},"652":{y:0,u:"../Content/Actions/Role/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00246472130813657,a:"UserName The name of the user."},"653":{y:0,u:"../Content/Actions/Profile/ActionParameters/MaxNumber.htm",l:-1,t:"MaxNumber",i:0.00101421397207828,a:"MaxNumber The maximum number of results that the  ProfileGetResults  action returns."},"654":{y:0,u:"../Content/Actions/Profile/ActionParameters/NamedArea_ProfileGetResults.htm",l:-1,t:"NamedArea",i:0.000979383146248427,a:"This parameter description applies only to the  ProfileGetResults  action. Restrict the profile query to a named area (that is, IDOL Community Component uses only the parts of the profile in this named area to query the data index). Separate multiple named areas with commas. There must be no space ..."},"655":{y:0,u:"../Content/Actions/Agent/ActionParameters/UID.htm",l:-1,t:"UID",i:0.0025765283959396,a:"UID The ID of the user."},"656":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.00222078640522296,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the IDOL Community Component configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON ..."},});